## octave-jsonlab 2.0

=== DESCRIPTION ===
Name: jsonlab
Version: 2.0
Date: 2020-13-06
Title: A JSON/UBJSON/MessagePack encoder/decoder for MATLAB/Octave
Author: Qianqian Fang <fangqq@gmail.com>
Maintainer: Qianqian Fang <fangqq@gmail.com>
Description:  JSONLab is a free and open-source implementation of a JSON/UBJSON/MessagePack 
 encoder and a decoder in the native MATLAB language. It can be used to convert 
 a MATLAB data structure (array, struct, cell, struct array and cell array) into
 JSON/UBJSON formatted string, or decode a JSON/UBJSON/MessagePack file into 
 MATLAB data. JSONLab supports both MATLAB and GNU Octave (a free MATLAB clone).
URL: http://openjdata.org/jsonlab
Categories: JSON

=== debian/changelog ===
octave-jsonlab (2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No changes on package, source only upload as it is now required.

 -- Tobias Frost <tobi@debian.org>  Sun, 20 Sep 2020 13:03:09 +0200

octave-jsonlab (2.0-1) unstable; urgency=medium

  * Initial release (Closes: #962607)

 -- Qianqian Fang <fangqq@gmail.com>  Wed, 12 Aug 2020 09:00:00 -0300

=== debian/control ===
Source: octave-jsonlab
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Qianqian Fang <fangqq@gmail.com>
Section: science
Priority: optional
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), dh-octave
Homepage: https://openjdata.org/jsonlab
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-jsonlab.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-jsonlab
Rules-Requires-Root: no


Package: octave-jsonlab
Architecture: all
Depends: octave-zmat, ${octave:Depends}, ${misc:Depends}
Description: native JSON/UBJSON/MassagePack encoder/decoder for Octave
 JSONLab is a free and open-source JSON/UBJSON/MessagePack encoder and
 decoder written in the native MATLAB language. It can be used to convert a
 MATLAB data structure (array, struct, cell, struct array, cell array, and
 objects) into JSON/UBJSON/MessagePack formatted strings and files, or to
 parse a JSON/UBJSON/MessagePack file into MATLAB data structure. JSONLab
 supports both MATLAB and GNU Octave.
 .
 JSONLab is not just a parser and writer of JSON/UBJSON data files, but one
 that systematically converts complex scientific data structures into
 human-readable and universally supported JSON forms using the standardized
 JData data annotations.
 .
 This package provides support for Octave.


Package: matlab-jsonlab
Section: contrib/science
Architecture: all
Depends: matlab-zmat, matlab-support, ${misc:Depends}
Description: native JSON/UBJSON/MassagePack encoder/decoder for MATLAB
 JSONLab is a free and open-source implementation of a
 JSON/UBJSON/MessagePack encoder and a decoder in the native MATLAB language.
 It can be used to convert a MATLAB data structure (array, struct, cell,
 struct array and cell array) into JSON/UBJSON formatted string, or decode a
 JSON/UBJSON/MessagePack file into MATLAB data.  JSONLab supports both MATLAB
 and GNU Octave (a free MATLAB clone). JSONLab is now the official reference
 implementation for the JData Specification (Draft 3) - the foundation of the
 OpenJData Project (http://openjdata.org).
 .
 This package provides support for MATLAB.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE =1

%:
	+dh $@ --buildsystem=octave --with=octave

override_dh_auto_configure:
	mkdir inst
	cp *.m inst
	rm -rf inst/Contents.m
	cp ChangeLog.txt NEWS
	cp LICENSE_GPLv3.txt COPYING

=== debian/watch ===
version=3
https://github.com/fangq/jsonlab/releases .*/v(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)

## octave-jsonlab 2.9.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: jsonlab
-Version: 2.0
-Date: 2020-13-06
+Version: 2.9.8
+Date: 2024-25-03
 Title: A JSON/UBJSON/MessagePack encoder/decoder for MATLAB/Octave
 Author: Qianqian Fang <fangqq@gmail.com>
 Maintainer: Qianqian Fang <fangqq@gmail.com>
@@ -9,5 +9,5 @@
  a MATLAB data structure (array, struct, cell, struct array and cell array) into
  JSON/UBJSON formatted string, or decode a JSON/UBJSON/MessagePack file into 
  MATLAB data. JSONLab supports both MATLAB and GNU Octave (a free MATLAB clone).
-URL: http://openjdata.org/jsonlab
+URL: https://neurojson.org/jsonlab
 Categories: JSON

=== debian/changelog ===
octave-jsonlab (2.9.8-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Tue, 21 Oct 2025 08:50:20 -0300

octave-jsonlab (2.9.8-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.9.8
  * d/copyright:
    + Update Source URL
    + Reflect upstream changes
  * d/watch: Fix upstream URL
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Mar 2024 00:18:33 -0300

octave-jsonlab (2.0-2) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * Update watch file format version to 4.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call

  [ Sébastien Villemot ]
  * d/octave-jsonlab.install: new file (Closes: #1013585)
  * d/matlab-jsonlab.dirs: drop useless file
  * d/README.md: drop file, contains outdated information
  * d/rules: remove “+” in front of dh recipe

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Jun 2022 11:29:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Qianqian Fang <fangqq@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 13), dh-octave
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave
 Homepage: https://openjdata.org/jsonlab
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-jsonlab.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-jsonlab
-Rules-Requires-Root: no
 
 
 Package: octave-jsonlab

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # export DH_VERBOSE =1
 
 %:
-	+dh $@ --buildsystem=octave --with=octave
+	dh $@ --buildsystem=octave
 
 override_dh_auto_configure:
 	mkdir inst

=== debian/watch ===
Version: 5

Template: Github
Owner: fangq
Project: jsonlab
